# Query Partner Balance

### **Request URL** <a href="#payin-by-creditcard" id="payin-by-creditcard"></a>

`POST` `/remittance/partner/query-balance`

### **Request Body**

&#x20;Refer to : [common](https://docs.pagsmile.com/issuing-card-api/common)

&#x20;Biz\_data :

| Name                                          | Type   | Description |
| --------------------------------------------- | ------ | ----------- |
| partner\_id<mark style="color:red;">\*</mark> | string | Partner ID  |

{% hint style="danger" %}
if 'sub\_partner\_id'  is empty，please input the value of   'partner\_id'&#x20;
{% endhint %}

### Response <a href="#example" id="example"></a>

{% tabs %}
{% tab title="200:submit successfully" %}

```
{
    "code": "10000",
    "msg": "Success",
    "data": [
        {
            "account_name": "Example company",
            "account_no":"",
            "currency": "USD",
            "balance": "4.20",
            "available_balance": "4.20",
            "block_amount": "0.00"
        }
    ],
    "total": 1,
    "random_key":"abssdddd2wdw==",
    "sign_type": "RSA",
    "app_id": "2017051914172236111"
}
```

{% endtab %}

{% tab title="400: invalid-signature" %}

```
{
    "code": "40002",
    "msg": "Business Failed",
    "sub_code": "invalid-signature",
    "sub_msg": "invalid signature"
}
```

{% endtab %}
{% endtabs %}

| Name               | Type   | Description                                        |
| ------------------ | ------ | -------------------------------------------------- |
| account\_name      | string | Account name                                       |
| account\_num       | string | Account number                                     |
| currency           | string | Account currency, as a 3-letter ISO currency code. |
| balance            | string | total balance                                      |
| available\_balance | string | available balance                                  |
| block\_amount      | string | block amount                                       |

### Example <a href="#example" id="example"></a>

```
curl --location --request POST 'https://card-api-sandbox.pagsmile.com/issuing/partner/query-balance' \
--header 'Content-Type: application/json' \
--data-raw '{
    "app_id": "2017051914172236111",
    "partner_id":"900000000000001",
    "timestamp": "2011-09-23 04:24:03",
    "format": "JSON",
    "version": "2.0",
    "random_key": "jJT3+PR9CSowcR2QOK5OzMjVmTSjGoectzYbO8lENHnboElE",
    "request_id": "F6bEd39c-EecF-C1a2-AFcb-bA9BAeC6",
    "sign_type": "RSA",
    "biz_data": "JT3+PR9CSowcR2QOJT3+PR9CSowcR2QO"
}'
```

Note: **201\*\*\*\*\*\*\*\*\*\*\*\*11** is pagsmile's test app id for sandbox

Please use your own **app\_id** when testing.
